var jobs = require('./jobs');

module.exports = function(config) {
  return jobs.registerMultiple(
    config,
    ['config', './config'],
    ['readFiles', './read-files'],
    ['parseHugo', './input-hugo'],
    ['print', './print'],

    ['transformer-git', './transformer-git'],
    ['output-console', './output-console'],
    ['output-filesystem', './output-filesystem'],
    ['transformer-basichtml', './transformer-basichtml'],

    ['transformer-markdown', './transformer-markdown'],
    ['transformer-nunjucks', './transformer-nunjucks'],
    ['transformer-tags', './transformer-tags'],
    ['transformer-urlizetags', './transformer-urlizetags'],
    ['transformer-other', './transformer-other'],
    ['transformer-images', './transformer-images']
  )
  .then(function() {
    return jobs;
  })
}
